升级linux-headers-generic及docker

问题最初是docker会占用CPU满, 然后看到一文章说是当前的版本有问题于是准备升级docker引发的问题.

最准卸载docker来最新安装最新.

The following packages have unmet dependencies:
 docker-ce : Depends: libseccomp2 (>= 2.3.0) but 2.2.3-3ubuntu3 is to be installed
 linux-generic : Depends: linux-headers-generic (= 4.4.0.112.118) but 4.4.0.63.67 is to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

于是怀疑是linux-headers-generic 开始搜索相关升级方法.

$sudo apt-get install -f 

$ sudo apt-get install syslinux-themes-debian-wheezy
$ sudo apt-get upgrade && sudo apt-get dist-upgrade
$ sudo dpkg-reconfigure -a

执行 uname -r 输出 4.4.0-63-generic

那么现在问题又来了.

当我执行安装或卸载命令的时候 报下面错误

Errors were encountered while processing:
 linux-headers-4.4.0-112
E: Sub-process /usr/bin/dpkg returned an error code (1)

…. 到此好像离我的问题越来越远了, 是不是解决问题的方向走错了?


重新看了下docker -v发现版本变化了 之前 Docker version 17.12.0-ce, build c97c6d6 现在 Docker version 17.12.1-ce, build 7390fc6 回想 估计是我执行

apt-cache madison docker-ce

apt-get install docker-ce=<VERSION>

但上面的问题仍是存在的.

搜索问题的相关资料

docker 升级到最新版

How Do I Fix Unmet dependencies Linux-Image-Generic etc | linux-headers-generic 上面命令摘抄此文

Kernel install hangs (update-initramfs) kernel 4.4.0-112

ubuntu14.04.3内核怎么升级?升级有什么风险?

更新LINUX内核头文件(LINUX HEADERS)

update Linux Headers when Kernel is updated

ubuntu 下出现E: Sub-process /usr/bin/dpkg returned an error code | 试了方法一但没能解决

官方linux-headers-generic

发表评论